Subject: Re: ML403 2.6 kernel, root file system on NFS, stops after freeing unused kernel memory

From: Clemens Koller <[email-masked]>
Date: Sun, 27 May 2007 19:34:05 +0200

Hi, Mohammed!

Mohammad Sadegh Sadri schrieb:
> ok! problem solved
> problem was kernel command line
> mine was:
> 
> CONFIG_CMDLINE="console=ttyS0,9600 console=tty0 root=/dev/nfs rw nfsroot=10.10.10.10:/home/sadri/hdl/eldk_rootfs/ppc_4xx ip=dhcp"
> 
> by default 2.6.21 CMDLINE contains two console parameters, 
> the correct one should be 
> 
> CONFIG_CMDLINE="console=ttyS0,9600 root=/dev/nfs rw nfsroot=10.10.10.10:/home/sadri/hdl/eldk_rootfs/ppc_4xx ip=dhcp"
> 
> well , rootfs comes up until login prompt,
> I enter root as the password but it gives "incorrect login" message/

I have had the same symptoms.
Some device node was missing. I guess it was something like:

crw--w--w- 1 root tty      5,   1 May  1 09:30 console
crw-rw-rw- 1 root tty      5,   0 May 27 10:14 tty

Also check
-----8<-----
#
# /etc/securetty: defines which devices root can log in on
#

console
ttyS0
tty1
tty2
tty3
tty4
tty5
tty6

# End of file
-----8<-----

Greets,

Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm-technology.com
Phone: +49-89-741518-50
Fax: +49-89-741518-19